
#include "Arduino.h"
#include "DFRobotDFPlayerMini.h"
#include "SoftwareSerial.h"

#define BUTTON D1


SoftwareSerial mySoftSer_1(13, 12); // RX, TX
SoftwareSerial mySoftSer_2(14, 27);

DFRobotDFPlayerMini child_1;
DFRobotDFPlayerMini child_2;

void setup() {

  Serial.begin(115200);     // start serial interface

 if (!child_1.begin(mySoftSer_1, false)) {  //Use softwareSerial to communicate with mp3.
    Serial.println(F("Unable to begin Child 1:"));
    Serial.println(F("1.Please recheck the connection!"));
    Serial.println(F("2.Please insert the SD card!"));
    while(true){
      delay(0); // Code to compatible with ESP8266 watch dog.
    }
  }
  Serial.println(F("Child 1 online."));
  child_1.volume(10);  //Set volume value. From 0 to 30

  if (!child_2.begin(mySoftSer_2, false)) {  //Use softwareSerial to communicate with mp3.
    Serial.println(F("Unable to begin Child 2:"));
    Serial.println(F("1.Please recheck the connection!"));
    Serial.println(F("2.Please insert the SD card!"));
    while(true){
      delay(0); // Code to compatible with ESP8266 watch dog.
    }
  }
  Serial.println(F("Child 2 online."));
  child_2.volume(10);  //Set volume value. From 0 to 30

  //WiFi.mode(WIFI_OFF);
  //WiFi.forceSleepBegin();
  delay(10);

 
}

void loop() 
{
  child_1.play(1);  //Play the first mp3
  child_1.readState()
  delay(1000);  

}